Tellstick

From LinuxMCE
Jump to: navigation, search
Version Status Date Updated Updated By
710 Unknown N/A N/A
810 Working, semi plug'n play supported 7 january 2011 JoakimL
1004 Working, full plug'n play supported 14 november 2011 JoakimL
1204 Unknown N/A N/A
Usage Information

Description

The Tellstick is a power controller for cheap RF devices like the Nexa line. It's detected with LMCE's Plug-n Play. Currently only basic support is added, namely power on, power off and dimlevel. N.B. this is an RF tranmsmitter, it cannot read the state of the devices, nor can it receive data from remotes, sensors or other equipment sending an RF signal. Telldus have developed a device for this (Tellstick Duo) which is not supported at this time.

Setup

The device is plug and play for LMCE, software automatically downloaded and installed when you plug it into an USB port.


Adding lights

  1. web admin -> Show devices tree -> Telldus USB RF controller
  2. Create Child Device -> Pick device template -> take your pick (I added "Light Switch (on/off)")
  3. Device data -> Port/Channel Number -> Device ID -> save (codes correspond to the Device ID or Device Name you've set in /etc/tellstick.conf)


Compatible Devices

Troubleshooting

Reference Info

Manufacturer website

Reference for 8.10 until P'nP is verified

At this point you'll need to add the driver software yourself. Install the telldus-core package as described here

Add the following lines to your /etc/apt/sources.list: (This is pointing to 2.0 repos, 2.1 currently break functionality)

deb http://download.telldus.com/debian/ 2.0 main

If you want to try the latest beta software, also add the following:

deb http://download.telldus.com/debian/ unstable main

The Telldus public key for apt-secure is added with

wget -q http://download.telldus.se/debian/telldus-public.key -O- | sudo apt-key add -

The key fingerprint is 70C4 10C9 D73D 53E8 38B3 1C58 5A94 9181 E501 EA76 Telldus Technologies AB <info.tech@telldus.se>

To install telldus-core

sudo apt-get update
sudo apt-get install telldus-core

If you install telldus-core version 2.1 you need to downgrade. If you get any trouble (like cannot connect to Telldus service or lib missing), install the correct libtelldus by:

wget http://download.telldus.com/debian/pool/2.0/libtelldus-core2_2.0.4-2_i386.deb
sudo dpkg -i libtelldus-core2_2.0.4-2_i386.deb